<!DOCTYPE html>
<html lang="en">

<head>
    <meta charset="UTF-8">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <meta http-equiv="X-UA-Compatible" content="ie=edge">
    <link rel="stylesheet" href="https://stackpath.bootstrapcdn.com/bootstrap/4.1.1/css/bootstrap.min.css" integrity="sha384-WskhaSGFgHYWDcbwN70/dfYBj47jz9qbsMId/iRN3ewGhXQFZCSftd1LZCfmhktB"
        crossorigin="anonymous">
    <style>
        .red {
            color: brown;
        }

        .gap {
            margin-top: 20px;
        }
    </style>

    <title>Node File Uploads</title>
</head>

<body>
    <div class="container gap">
        <h1>Multer File upload</h1>
        <a href="https://LearnCodeOnline.in">LCO</a>


        <div class="card" style="width: 18rem;">
            <img class="card-img-top" src="<%= typeof filename == 'undefined' ? 'https://images.pexels.com/photos/1144256/pexels-photo-1144256.jpeg?auto=compress&cs=tinysrgb&dpr=2&h=350' : filename%>"
                alt="Card image cap">
            <div class="card-body">
                <h5 class="card-title">Multer File Uploader</h5>
                <p class="card-text">Multer is a file/image uploader, used a lot with node application. It's really simple to use.</p>

                <form class="" action="/upload" method="POST" enctype="multipart/form-data">
                    <div class="custom-file">
                        <input type="file" name="profilepic" class="custom-file-input" id="validatedCustomFile" required>
                        <label class="custom-file-label" for="validatedCustomFile">Choose file...</label>
                        <p class="red">
                            <%= typeof message == 'undefined' ? '' : message %>
                        </p>
                    </div>
                    <br />
                    <button type="submit" class="btn btn-primary gap">Submit</button>
                </form>
            </div>
        </div>
        <br>

    </div>

    <script src="https://code.jquery.com/jquery-3.3.1.slim.min.js" integrity="sha384-q8i/X+965DzO0rT7abK41JStQIAqVgRVzpbzo5smXKp4YfRvH+8abtTE1Pi6jizo"
        crossorigin="anonymous"></script>
    <script src="https://cdnjs.cloudflare.com/ajax/libs/popper.js/1.14.3/umd/popper.min.js" integrity="sha384-ZMP7rVo3mIykV+2+9J3UJ46jBk0WLaUAdn689aCwoqbBJiSnjAK/l8WvCWPIPm49"
        crossorigin="anonymous"></script>
    <script src="https://stackpath.bootstrapcdn.com/bootstrap/4.1.1/js/bootstrap.min.js" integrity="sha384-smHYKdLADwkXOn1EmN1qk/HfnUcbVRZyYmZ4qpPea6sjB/pTJ0euyQp0Mk8ck+5T"
        crossorigin="anonymous"></script>
</body>

</html>